Bug 10070 - Samba allow upgrade and downgrade on msDS-Behavior-Version without checking if it's really allowed
Samba allow upgrade and downgrade on msDS-Behavior-Version without checking i...
Status: NEW
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0.8
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 06:02 UTC by Matthieu Patou
Modified: 2013-08-07 06:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2013-08-07 06:02:27 UTC
3.       Allows downgrade changing msDS-Behavior-Version of "CN=partitions, <ConfigNC>" from 4 (Win2008R2) to 0(Win2000)

4.       Allows downgrade changing msDS-Behavior-Version of "CN=NTDS Settings, CN=<RODC object in ConfigNC> from 4 (Win2008R2) to 2(Win2003)

5.       Allows upgrade changing msDS-Behavior-Version of DomainNC from 4 (Win2008R2) to 5(Win2012)which is not supported by Samba

6.       Allows downgrade changing msDS-Behavior-Version of DomainNC from 4 (Win2008R2) to 1(Win2000-mixed)